aboutsummaryrefslogtreecommitdiff
path: root/t/annotate-tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/annotate-tests.sh')
-rw-r--r--t/annotate-tests.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/t/annotate-tests.sh b/t/annotate-tests.sh
index b6a2edd88..8baf2fef6 100644
--- a/t/annotate-tests.sh
+++ b/t/annotate-tests.sh
@@ -4,7 +4,8 @@
check_count () {
head=
case "$1" in -h) head="$2"; shift; shift ;; esac
- $PROG file $head | perl -e '
+ $PROG file $head >.result || return 1
+ cat .result | perl -e '
my %expect = (@ARGV);
my %count = ();
while (<STDIN>) {